Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-08.txt

From: [email-masked]
Date: Mon, 22 Feb 2021 08:52:16 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Updates
        Authors         : Hendrik Brockhaus
                          David von Oheimb
	Filename        : draft-ietf-lamps-cmp-updates-08.txt
	Pages           : 52
	Date            : 2021-02-22

Abstract:
   This document contains a set of updates to the syntax and transport
   of Certificate Management Protocol (CMP) version 2.  This document
   updates RFC 4210 and RFC 6712.

   The aspects of CMP updated in this document are using EnvelopedData
   instead of EncryptedValue, adding new general message types, defining
   extended key usages to identify certificates of CMP endpoints on
   certification and registration authorities, and adding an HTTP URI
   discovery mechanism and extending the URI structure.

   To properly differentiate the support of EnvelopedData instead of
   EncryptedValue, the CMP version 3 is introduced in case a transaction
   is supposed to use EnvelopedData.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-updates-08.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-updates-08

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Mon, 22 Feb 2021 17:03:04 +0000

The following changes have been performed:

   From version 07 -> 08:
   *  Added a ToDo to Section 2.2 to reflect a current discussion on the
      need of an additional CMP-CA role and EKU and differentiation from
      CMP-RA
   *  Added ToDos to Section 2.12 and 2.13

Any feedback is welcome!

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von internet-
> [email-masked]
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatat
> racker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7
> Ca6740be552424f1c688f08d8d75286b3%7C38ae3bcd95794fd4addab42e1495d
> 55a%7C1%7C0%7C637496096771346243%7CUnknown%7CTWFpbGZsb3d8eyJ
> WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%
> 7C1000&amp;sdata=bm7Lr8TKcS9IojcawRUTbPUE%2FeGrz2UH2KoUY2cJ1aQ
> %3D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> 08.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ca67
> 40be552424f1c688f08d8d75286b3%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637496096771356239%7CUnknown%7CTWFpbGZsb3d8eyJWIjoi
> MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C100
> 0&amp;sdata=E%2B%2BBmStiz8t0YrRhmF%2BIzQvY%2FGfCevJ42vkgpnL3ep
> A%3D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 08&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ca6740be
> 552424f1c688f08d8d75286b3%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> %7C0%7C637496096771356239%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&
> amp;sdata=j4aQ3BnCFThkYHDYCNAfs9m2JjWq14AahXOnXBIWPOg%3D&am
> p;reserved=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.
> org%2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ca
> 6740be552424f1c688f08d8d75286b3%7C38ae3bcd95794fd4addab42e1495d55
> a%7C1%7C0%7C637496096771356239%7CUnknown%7CTWFpbGZsb3d8eyJWI
> joiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1
> 000&amp;sdata=D4kag5kgzvgflF2jsqCM9uq3fvqkvQo2p%2BliVNJtubY%3D&a
> mp;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.
> brockhaus%40siemens.com%7Ca6740be552424f1c688f08d8d75286b3%7C38a
> e3bcd95794fd4addab42e1495d55a%7C1%7C0%7C637496096771356239%7CU
> nknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI
> 6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=2ZoQv3ag9JR8Nc%2Fjx%2
> BYwWm77OhD%2BNq%2B30fwn4zryDNs%3D&amp;reserved=0